#include "../../../lib/std.mi"

Function String tokenizeSongInfo(String tkn, String sinfo);

Global Text bitrateText, infolineExampleText;
Global Group NormalLayoutGroup;
Global Timer songInfoTimer;

Global String SongInfoString;

System.onScriptLoaded()
{
	NormalLayoutGroup = getContainer("Main").getLayout("Normal").getObject("player.normal");
	infolineExampleText = NormalLayoutGroup.getObject("Infoline");
	bitrateText = NormalLayoutGroup.getObject("Bitrate");
	infolineExampleText.hide();
	songInfoTimer = new Timer;
	songInfoTimer.setDelay(100);
	if (getLeftVUMeter()) songInfoTimer.start();
}

System.onScriptUnloading(){
	delete songInfoTimer;
}

System.onPlay(){
	songInfoTimer.start();
}

System.onStop(){
	songInfoTimer.stop();
	bitrateText.setText("Act3.Scene2");
}

System.onResume(){
	songInfoTimer.start();
}

System.onPause(){
	songInfoTimer.stop();
}

songInfoTimer.onTimer(){
	String tkn;
	SongInfoString = infolineExampleText.getText();
	tkn = tokenizeSongInfo("Bitrate", SongInfoString);
	bitrateText.setText(tkn);
}

tokenizeSongInfo(String tkn, String sinfo){
	int searchResult;
	String rtn;
	if (tkn="Bitrate"){
		for (int i = 0; i < 5; i++) {
			rtn = getToken(sinfo, " ", i);
			searchResult = strsearch(rtn, "kbps");
			if (searchResult>0) return rtn;
		}
		return "";
	}
	return "";
}