#include "../../../lib/std.mi"

Global Group ControlButtons;
Global Group SmallControlButtons;
Global GuiObject Stop, Play, SmallStop, SmallPlay;
Global Group NormalLayoutGroup, SmallLayoutGroup;

System.onScriptLoaded() {
  NormalLayoutGroup = getContainer("Main").getLayout("normal").getObject("player.normal");
  ControlButtons = NormalLayoutGroup.getObject("control-buttons");
  Play = ControlButtons.getObject("Play");
  Stop = ControlButtons.getObject("Stop");
  SmallLayoutGroup = getContainer("Main").getLayout("small").getObject("player.shade");
  SmallControlButtons = SmallLayoutGroup.getObject("scontrol-buttons");
  SmallPlay = SmallControlButtons.getObject("Play");
  SmallStop = SmallControlButtons.getObject("Stop");

  if (getStatus() == 1) {
     Play.hide();
    Stop.show();
    SmallPlay.hide();
    SmallStop.show();
    }
  else {

    Play.show();
    Stop.hide();
    SmallPlay.show();
    SmallStop.hide();
   }
}

System.onPlay() {
  Play.hide();
  Stop.show();
  SmallPlay.hide();
  SmallStop.show();
}

System.onStop() {
  Play.show();
  Stop.hide();
  SmallPlay.show();
  SmallStop.hide();
}

System.onPause(){
  Play.show();
  Stop.hide();
  SmallPlay.show();
  Smallstop.hide();
}

System.onResume(){
Play.hide();
  Stop.show();
  SmallPlay.hide();
  SmallStop.show();
}