
#include "../../../lib/std.mi"

Global Container NormalContainer;
Global Layout NormalLayout, SmallLayout;
Global Group winbuttons, Normalgroup, Shadegroup;
Global GuiObject NormalSizer, SmallSizer;
Global Int normLeft, normTop, smallLeft, smallTop, clickEnable;

System.onScriptLoaded() {

	NormalContainer = getContainer("main");
	NormalLayout = NormalContainer.getLayout("normal");
	SmallLayout = NormalContainer.getLayout("small");
	NormalGroup = Normallayout.getObject("player.normal");
	ShadeGroup = SmallLayout.getObject("player.shade");
	winbuttons = NormalGroup.getObject("window-buttons");
	NormalSizer = winbuttons.getObject("Size");
	SmallSizer = SmallLayout.getObject("sSize");
	clickEnable = 0;

}

NormalSizer.onLeftButtonDown(int x, int y) {

	normLeft = NormalLayout.getLeft();
	normTop = NormalLayout.getTop();
	clickEnable = 1;
}

SmallSizer.onLeftButtonDown(int x, int y) {

	smallLeft = SmallLayout.getLeft();
	smallTop = SmallLayout.getTop();
	clickEnable = 1;
}

NormalContainer.onShowLayout(Layout SmallLayout) {
	if (clickEnable == 1) {
		SmallLayout.resize(normLeft, normTop+57, SmallLayout.getWidth(), SmallLayout.getHeight());
	}
}

NormalContainer.onHideLayout(Layout SmallLayout) {
	if (clickEnable == 1) {
		NormalLayout.resize(smallLeft, smallTop-57, NormalLayout.getWidth(), NormalLayout.getHeight());
	}
}